import 'package:ecc_encryption/ecc_encryption.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  ECC ecc = ECC.initialise(
      wifPrivateKey: 'L4dX9X1GgTxPp7LkXdK8HMzpW7sVBe5TeH486s1APs9pNzAveLB4');

  test('test_get_private_key', () {
    expect(ecc.privateKey.length, equals(51));
  });

  test('test_get_public_key', () {
    expect(ecc.publicKey.length, equals(53));
  });

  test('test_encode', () {
    expect(ecc.encrypt(data: 'Hello Flutter Devs'),
        'HJPB4pNpocvP+mimQXYzbRH3+XD0AeszauF9tMi2WHw=');
  });

  test('test_decode', () {
    expect(ecc.decrypt(data: 'HJPB4pNpocvP+mimQXYzbRH3+XD0AeszauF9tMi2WHw='),
        'Hello Flutter Devs');
  });
}
